OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMDF

# XmlMDF_DataMapIteratorOfMapOfDriver Class Reference

`#include <XmlMDF_DataMapIteratorOfMapOfDriver.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlMDF_DataMapIteratorOfMapOfDriver ()
Standard_EXPORT | XmlMDF_DataMapIteratorOfMapOfDriver (const XmlMDF_MapOfDriver &aMap)
Standard_EXPORT void | Initialize (const XmlMDF_MapOfDriver &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const Handle_XmlMDF_ADriver & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMDF_DataMapIteratorOfMapOfDriver::XmlMDF_DataMapIteratorOfMapOfDriver | ( |  | ) |

Standard_EXPORT XmlMDF_DataMapIteratorOfMapOfDriver::XmlMDF_DataMapIteratorOfMapOfDriver | ( | const XmlMDF_MapOfDriver & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XmlMDF_DataMapIteratorOfMapOfDriver::Initialize | ( | const XmlMDF_MapOfDriver & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& XmlMDF_DataMapIteratorOfMapOfDriver::Key | ( |  | ) | const

void XmlMDF_DataMapIteratorOfMapOfDriver::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMDF_DataMapIteratorOfMapOfDriver::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMDF_DataMapIteratorOfMapOfDriver::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_XmlMDF_ADriver& XmlMDF_DataMapIteratorOfMapOfDriver::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XmlMDF_DataMapIteratorOfMapOfDriver.hxx